<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Mini51 BSP: GPIO Exported Functions</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="M0Banner_v2.jpg"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Mini51 BSP
   &#160;<span id="projectnumber">V3.02.002</span>
   </div>
   <div id="projectbrief">The Board Support Package for Mini51 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',false,false,'search.php','Search');
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">GPIO Exported Functions<div class="ingroups"><a class="el" href="group___m_i_n_i51___device___driver.html">MINI51 Device Driver</a> &raquo; <a class="el" href="group___m_i_n_i51___g_p_i_o___driver.html">GPIO Driver</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:ga23fa7d30838af4e7a8de44bb35be6dd3"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga23fa7d30838af4e7a8de44bb35be6dd3">GPIO_CLR_INT_FLAG</a>(gpio,  u32PinMask)&#160;&#160;&#160;((gpio)-&gt;ISRC = u32PinMask)</td></tr>
<tr class="memdesc:ga23fa7d30838af4e7a8de44bb35be6dd3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clear GPIO Pin Interrupt Flag.  <a href="#ga23fa7d30838af4e7a8de44bb35be6dd3">More...</a><br /></td></tr>
<tr class="separator:ga23fa7d30838af4e7a8de44bb35be6dd3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7256010ba4e37ff39116f81362380320"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7256010ba4e37ff39116f81362380320">GPIO_DISABLE_DEBOUNCE</a>(gpio,  u32PinMask)&#160;&#160;&#160;((gpio)-&gt;DBEN &amp;= ~u32PinMask)</td></tr>
<tr class="memdesc:ga7256010ba4e37ff39116f81362380320"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable Pin De-bounce Function.  <a href="#ga7256010ba4e37ff39116f81362380320">More...</a><br /></td></tr>
<tr class="separator:ga7256010ba4e37ff39116f81362380320"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa54243397fb256e334b539f88b909368"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa54243397fb256e334b539f88b909368">GPIO_ENABLE_DEBOUNCE</a>(gpio,  u32PinMask)&#160;&#160;&#160;((gpio)-&gt;DBEN |= u32PinMask)</td></tr>
<tr class="memdesc:gaa54243397fb256e334b539f88b909368"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable Pin De-bounce Function.  <a href="#gaa54243397fb256e334b539f88b909368">More...</a><br /></td></tr>
<tr class="separator:gaa54243397fb256e334b539f88b909368"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0c55a617441ab37ad3cfcc48b76750c7"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0c55a617441ab37ad3cfcc48b76750c7">GPIO_DISABLE_DIGITAL_PATH</a>(gpio,  u32PinMask)&#160;&#160;&#160;((gpio)-&gt;OFFD |= (u32PinMask &lt;&lt; 16))</td></tr>
<tr class="memdesc:ga0c55a617441ab37ad3cfcc48b76750c7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable I/O Digital Input Path.  <a href="#ga0c55a617441ab37ad3cfcc48b76750c7">More...</a><br /></td></tr>
<tr class="separator:ga0c55a617441ab37ad3cfcc48b76750c7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6646dfe12cd282e794d9014ae2e4e288"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6646dfe12cd282e794d9014ae2e4e288">GPIO_ENABLE_DIGITAL_PATH</a>(gpio,  u32PinMask)&#160;&#160;&#160;((gpio)-&gt;OFFD &amp;= ~(u32PinMask &lt;&lt; 16))</td></tr>
<tr class="memdesc:ga6646dfe12cd282e794d9014ae2e4e288"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable I/O Digital Input Path.  <a href="#ga6646dfe12cd282e794d9014ae2e4e288">More...</a><br /></td></tr>
<tr class="separator:ga6646dfe12cd282e794d9014ae2e4e288"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8669eac8b3df39a965716a1f5cf6484b"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8669eac8b3df39a965716a1f5cf6484b">GPIO_DISABLE_DOUT_MASK</a>(gpio,  u32PinMask)&#160;&#160;&#160;((gpio)-&gt;DMASK |= u32PinMask)</td></tr>
<tr class="memdesc:ga8669eac8b3df39a965716a1f5cf6484b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable I/O DOUT mask.  <a href="#ga8669eac8b3df39a965716a1f5cf6484b">More...</a><br /></td></tr>
<tr class="separator:ga8669eac8b3df39a965716a1f5cf6484b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga55907a319de4957e7f795d0acb32b7fc"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga55907a319de4957e7f795d0acb32b7fc">GPIO_ENABLE_DOUT_MASK</a>(gpio,  u32PinMask)&#160;&#160;&#160;((gpio)-&gt;DMASK &amp;= ~u32PinMask)</td></tr>
<tr class="memdesc:ga55907a319de4957e7f795d0acb32b7fc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable I/O DOUT mask.  <a href="#ga55907a319de4957e7f795d0acb32b7fc">More...</a><br /></td></tr>
<tr class="separator:ga55907a319de4957e7f795d0acb32b7fc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga109372c88c155995a0f917b75d33e6d3"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga109372c88c155995a0f917b75d33e6d3">GPIO_GET_INT_FLAG</a>(gpio,  u32PinMask)&#160;&#160;&#160;((gpio)-&gt;ISRC &amp; u32PinMask)</td></tr>
<tr class="memdesc:ga109372c88c155995a0f917b75d33e6d3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get GPIO Pin Interrupt Flag.  <a href="#ga109372c88c155995a0f917b75d33e6d3">More...</a><br /></td></tr>
<tr class="separator:ga109372c88c155995a0f917b75d33e6d3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad7651a6a2609788b70d1e0e4d77174ca"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad7651a6a2609788b70d1e0e4d77174ca">GPIO_SET_DEBOUNCE_TIME</a>(clksrc,  clksel)&#160;&#160;&#160;(<a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga1037b18e2d226fe7d327d4a6f17a21c1">GPIO</a>-&gt;DBNCECON = (<a class="el" href="_mini51_series_8h.html#aa90e35467a4b67ffb16ea724a581cb15">GPIO_DBNCECON_ICLK_ON_Msk</a> | clksrc | clksel))</td></tr>
<tr class="memdesc:gad7651a6a2609788b70d1e0e4d77174ca"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set De-bounce Sampling Cycle Time.  <a href="#gad7651a6a2609788b70d1e0e4d77174ca">More...</a><br /></td></tr>
<tr class="separator:gad7651a6a2609788b70d1e0e4d77174ca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga999217028415ac36f6ce605533c85cad"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga999217028415ac36f6ce605533c85cad">GPIO_GET_IN_DATA</a>(gpio)&#160;&#160;&#160;((gpio)-&gt;PIN)</td></tr>
<tr class="memdesc:ga999217028415ac36f6ce605533c85cad"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get GPIO Port IN Data.  <a href="#ga999217028415ac36f6ce605533c85cad">More...</a><br /></td></tr>
<tr class="separator:ga999217028415ac36f6ce605533c85cad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac8b85595010fccb2e8be1624f409d89c"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac8b85595010fccb2e8be1624f409d89c">GPIO_SET_OUT_DATA</a>(gpio,  data)&#160;&#160;&#160;((gpio)-&gt;DOUT = (data))</td></tr>
<tr class="memdesc:gac8b85595010fccb2e8be1624f409d89c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set GPIO Port OUT Data.  <a href="#gac8b85595010fccb2e8be1624f409d89c">More...</a><br /></td></tr>
<tr class="separator:gac8b85595010fccb2e8be1624f409d89c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga21894d4e8915c4972879d998965e3f35"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga21894d4e8915c4972879d998965e3f35">GPIO_TOGGLE</a>(u32Pin)&#160;&#160;&#160;((u32Pin) ^= 1)</td></tr>
<tr class="memdesc:ga21894d4e8915c4972879d998965e3f35"><td class="mdescLeft">&#160;</td><td class="mdescRight">Toggle Specified GPIO pin.  <a href="#ga21894d4e8915c4972879d998965e3f35">More...</a><br /></td></tr>
<tr class="separator:ga21894d4e8915c4972879d998965e3f35"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga851e08641f159b726e3d2fa7e4b526d1"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga851e08641f159b726e3d2fa7e4b526d1">GPIO_EnableEINT0</a>&#160;&#160;&#160;<a class="el" href="group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaec751ab5c00bcad980d782816df53cbd">GPIO_EnableInt</a></td></tr>
<tr class="memdesc:ga851e08641f159b726e3d2fa7e4b526d1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable External GPIO interrupt 0.  <a href="#ga851e08641f159b726e3d2fa7e4b526d1">More...</a><br /></td></tr>
<tr class="separator:ga851e08641f159b726e3d2fa7e4b526d1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa08979f1765ac4fb8d9645195908c7b1"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa08979f1765ac4fb8d9645195908c7b1">GPIO_DisableEINT0</a>&#160;&#160;&#160;<a class="el" href="group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga675532237c47dd6f69f325e27fd2e7e0">GPIO_DisableInt</a></td></tr>
<tr class="memdesc:gaa08979f1765ac4fb8d9645195908c7b1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable External GPIO interrupt 0.  <a href="#gaa08979f1765ac4fb8d9645195908c7b1">More...</a><br /></td></tr>
<tr class="separator:gaa08979f1765ac4fb8d9645195908c7b1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2ae3cf2bb3e70c18761f85c0fa5b4ce7"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga2ae3cf2bb3e70c18761f85c0fa5b4ce7">GPIO_EnableEINT1</a>&#160;&#160;&#160;<a class="el" href="group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaec751ab5c00bcad980d782816df53cbd">GPIO_EnableInt</a></td></tr>
<tr class="memdesc:ga2ae3cf2bb3e70c18761f85c0fa5b4ce7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable External GPIO interrupt 1.  <a href="#ga2ae3cf2bb3e70c18761f85c0fa5b4ce7">More...</a><br /></td></tr>
<tr class="separator:ga2ae3cf2bb3e70c18761f85c0fa5b4ce7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga77faa5872ca2babb523c15d199e1e484"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga77faa5872ca2babb523c15d199e1e484">GPIO_DisableEINT1</a>&#160;&#160;&#160;<a class="el" href="group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga675532237c47dd6f69f325e27fd2e7e0">GPIO_DisableInt</a></td></tr>
<tr class="memdesc:ga77faa5872ca2babb523c15d199e1e484"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable External GPIO interrupt 1.  <a href="#ga77faa5872ca2babb523c15d199e1e484">More...</a><br /></td></tr>
<tr class="separator:ga77faa5872ca2babb523c15d199e1e484"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:gaa2d25bd7fd805f81e465e5f2f0f43123"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa2d25bd7fd805f81e465e5f2f0f43123">GPIO_SetMode</a> (<a class="el" href="struct_g_p_i_o___t.html">GPIO_T</a> *gpio, uint32_t u32PinMask, uint32_t u32Mode)</td></tr>
<tr class="memdesc:gaa2d25bd7fd805f81e465e5f2f0f43123"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set GPIO operation mode.  <a href="#gaa2d25bd7fd805f81e465e5f2f0f43123">More...</a><br /></td></tr>
<tr class="separator:gaa2d25bd7fd805f81e465e5f2f0f43123"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaec751ab5c00bcad980d782816df53cbd"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaec751ab5c00bcad980d782816df53cbd">GPIO_EnableInt</a> (<a class="el" href="struct_g_p_i_o___t.html">GPIO_T</a> *gpio, uint32_t u32Pin, uint32_t u32IntAttribs)</td></tr>
<tr class="memdesc:gaec751ab5c00bcad980d782816df53cbd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable GPIO interrupt.  <a href="#gaec751ab5c00bcad980d782816df53cbd">More...</a><br /></td></tr>
<tr class="separator:gaec751ab5c00bcad980d782816df53cbd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga675532237c47dd6f69f325e27fd2e7e0"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga675532237c47dd6f69f325e27fd2e7e0">GPIO_DisableInt</a> (<a class="el" href="struct_g_p_i_o___t.html">GPIO_T</a> *gpio, uint32_t u32Pin)</td></tr>
<tr class="memdesc:ga675532237c47dd6f69f325e27fd2e7e0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable GPIO interrupt.  <a href="#ga675532237c47dd6f69f325e27fd2e7e0">More...</a><br /></td></tr>
<tr class="separator:ga675532237c47dd6f69f325e27fd2e7e0"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="ga23fa7d30838af4e7a8de44bb35be6dd3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga23fa7d30838af4e7a8de44bb35be6dd3">&#9670;&nbsp;</a></span>GPIO_CLR_INT_FLAG</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define GPIO_CLR_INT_FLAG</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">gpio, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">u32PinMask&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td>&#160;&#160;&#160;((gpio)-&gt;ISRC = u32PinMask)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Clear GPIO Pin Interrupt Flag. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">gpio</td><td>GPIO port. It could be <a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga1583b00a62bc1138f99bbfcd8ef81a6a">P0</a>, <a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga6c2a9f7efd46f0160f3037869924d6ce">P1</a>, <a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae00a52dba55d31948c377fa85d385b87">P2</a>, <a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga0707a89c2f63bd260108e9dbb669358e">P3</a>, <a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gacbc14a33d017f5f2dabce1cb0d85718e">P4</a> or <a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga49ce5f7954a95865f12be8083ccb2719">P5</a>. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32PinMask</td><td>The single or multiple pins of specified GPIO port. <a class="el" href="group___m_i_n_i51__legacy___constants.html#gad4d43f8748b542bce39e18790f845ecc">BIT0</a>, <a class="el" href="group___m_i_n_i51__legacy___constants.html#ga601923eba46784638244c1ebf2622a2a">BIT1</a>, <a class="el" href="group___m_i_n_i51__legacy___constants.html#ga9c9560bccccb00174801c728f1ed1399">BIT2</a>,.. <a class="el" href="group___m_i_n_i51__legacy___constants.html#gaa6b8f3261ae9e2e1043380c192f7b5f0">BIT7</a></td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None</dd></dl>
<p>Clear the interrupt status of specified GPIO pin. </p>

<p class="definition">Definition at line <a class="el" href="gpio_8h_source.html#l00161">161</a> of file <a class="el" href="gpio_8h_source.html">gpio.h</a>.</p>

</div>
</div>
<a id="ga7256010ba4e37ff39116f81362380320"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga7256010ba4e37ff39116f81362380320">&#9670;&nbsp;</a></span>GPIO_DISABLE_DEBOUNCE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define GPIO_DISABLE_DEBOUNCE</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">gpio, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">u32PinMask&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td>&#160;&#160;&#160;((gpio)-&gt;DBEN &amp;= ~u32PinMask)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Disable Pin De-bounce Function. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">gpio</td><td>GPIO port. It could be <a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga1583b00a62bc1138f99bbfcd8ef81a6a">P0</a>, <a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga6c2a9f7efd46f0160f3037869924d6ce">P1</a>, <a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae00a52dba55d31948c377fa85d385b87">P2</a>, <a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga0707a89c2f63bd260108e9dbb669358e">P3</a>, <a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gacbc14a33d017f5f2dabce1cb0d85718e">P4</a> or <a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga49ce5f7954a95865f12be8083ccb2719">P5</a>. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32PinMask</td><td>The single or multiple pins of specified GPIO port. <a class="el" href="group___m_i_n_i51__legacy___constants.html#gad4d43f8748b542bce39e18790f845ecc">BIT0</a>, <a class="el" href="group___m_i_n_i51__legacy___constants.html#ga601923eba46784638244c1ebf2622a2a">BIT1</a>, <a class="el" href="group___m_i_n_i51__legacy___constants.html#ga9c9560bccccb00174801c728f1ed1399">BIT2</a>,.. <a class="el" href="group___m_i_n_i51__legacy___constants.html#gaa6b8f3261ae9e2e1043380c192f7b5f0">BIT7</a></td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None</dd></dl>
<p>Disable the interrupt de-bounce function of specified GPIO pin. </p>

<p class="definition">Definition at line <a class="el" href="gpio_8h_source.html#l00173">173</a> of file <a class="el" href="gpio_8h_source.html">gpio.h</a>.</p>

</div>
</div>
<a id="ga0c55a617441ab37ad3cfcc48b76750c7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga0c55a617441ab37ad3cfcc48b76750c7">&#9670;&nbsp;</a></span>GPIO_DISABLE_DIGITAL_PATH</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define GPIO_DISABLE_DIGITAL_PATH</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">gpio, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">u32PinMask&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td>&#160;&#160;&#160;((gpio)-&gt;OFFD |= (u32PinMask &lt;&lt; 16))</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Disable I/O Digital Input Path. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">gpio</td><td>GPIO port. It could be <a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga1583b00a62bc1138f99bbfcd8ef81a6a">P0</a>, <a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga6c2a9f7efd46f0160f3037869924d6ce">P1</a>, <a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae00a52dba55d31948c377fa85d385b87">P2</a>, <a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga0707a89c2f63bd260108e9dbb669358e">P3</a>, <a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gacbc14a33d017f5f2dabce1cb0d85718e">P4</a> or <a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga49ce5f7954a95865f12be8083ccb2719">P5</a>. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32PinMask</td><td>The single or multiple pins of specified GPIO port. <a class="el" href="group___m_i_n_i51__legacy___constants.html#gad4d43f8748b542bce39e18790f845ecc">BIT0</a>, <a class="el" href="group___m_i_n_i51__legacy___constants.html#ga601923eba46784638244c1ebf2622a2a">BIT1</a>, <a class="el" href="group___m_i_n_i51__legacy___constants.html#ga9c9560bccccb00174801c728f1ed1399">BIT2</a>,.. <a class="el" href="group___m_i_n_i51__legacy___constants.html#gaa6b8f3261ae9e2e1043380c192f7b5f0">BIT7</a></td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None</dd></dl>
<p>Disable I/O digital input path of specified GPIO pin. </p>

<p class="definition">Definition at line <a class="el" href="gpio_8h_source.html#l00197">197</a> of file <a class="el" href="gpio_8h_source.html">gpio.h</a>.</p>

</div>
</div>
<a id="ga8669eac8b3df39a965716a1f5cf6484b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga8669eac8b3df39a965716a1f5cf6484b">&#9670;&nbsp;</a></span>GPIO_DISABLE_DOUT_MASK</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define GPIO_DISABLE_DOUT_MASK</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">gpio, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">u32PinMask&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td>&#160;&#160;&#160;((gpio)-&gt;DMASK |= u32PinMask)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Disable I/O DOUT mask. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">gpio</td><td>GPIO port. It could be <a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga1583b00a62bc1138f99bbfcd8ef81a6a">P0</a>, <a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga6c2a9f7efd46f0160f3037869924d6ce">P1</a>, <a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae00a52dba55d31948c377fa85d385b87">P2</a>, <a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga0707a89c2f63bd260108e9dbb669358e">P3</a>, <a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gacbc14a33d017f5f2dabce1cb0d85718e">P4</a> or <a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga49ce5f7954a95865f12be8083ccb2719">P5</a>. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32PinMask</td><td>The single or multiple pins of specified GPIO port. <a class="el" href="group___m_i_n_i51__legacy___constants.html#gad4d43f8748b542bce39e18790f845ecc">BIT0</a>, <a class="el" href="group___m_i_n_i51__legacy___constants.html#ga601923eba46784638244c1ebf2622a2a">BIT1</a>, <a class="el" href="group___m_i_n_i51__legacy___constants.html#ga9c9560bccccb00174801c728f1ed1399">BIT2</a>,.. <a class="el" href="group___m_i_n_i51__legacy___constants.html#gaa6b8f3261ae9e2e1043380c192f7b5f0">BIT7</a></td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None</dd></dl>
<p>Disable I/O DOUT mask of specified GPIO pin. </p>

<p class="definition">Definition at line <a class="el" href="gpio_8h_source.html#l00221">221</a> of file <a class="el" href="gpio_8h_source.html">gpio.h</a>.</p>

</div>
</div>
<a id="gaa08979f1765ac4fb8d9645195908c7b1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaa08979f1765ac4fb8d9645195908c7b1">&#9670;&nbsp;</a></span>GPIO_DisableEINT0</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define GPIO_DisableEINT0&#160;&#160;&#160;<a class="el" href="group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga675532237c47dd6f69f325e27fd2e7e0">GPIO_DisableInt</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Disable External GPIO interrupt 0. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">gpio</td><td>GPIO port. It could be <a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga1583b00a62bc1138f99bbfcd8ef81a6a">P0</a>, <a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga6c2a9f7efd46f0160f3037869924d6ce">P1</a>, <a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae00a52dba55d31948c377fa85d385b87">P2</a>, <a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga0707a89c2f63bd260108e9dbb669358e">P3</a>, <a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gacbc14a33d017f5f2dabce1cb0d85718e">P4</a> or <a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga49ce5f7954a95865f12be8083ccb2719">P5</a>. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Pin</td><td>The pin of specified GPIO port. It could be 0 ~ 7.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None</dd></dl>
<p>This function is used to enable specified GPIO pin interrupt. </p>

<p class="definition">Definition at line <a class="el" href="gpio_8h_source.html#l00329">329</a> of file <a class="el" href="gpio_8h_source.html">gpio.h</a>.</p>

</div>
</div>
<a id="ga77faa5872ca2babb523c15d199e1e484"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga77faa5872ca2babb523c15d199e1e484">&#9670;&nbsp;</a></span>GPIO_DisableEINT1</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define GPIO_DisableEINT1&#160;&#160;&#160;<a class="el" href="group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga675532237c47dd6f69f325e27fd2e7e0">GPIO_DisableInt</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Disable External GPIO interrupt 1. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">gpio</td><td>GPIO port. It could be <a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga1583b00a62bc1138f99bbfcd8ef81a6a">P0</a>, <a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga6c2a9f7efd46f0160f3037869924d6ce">P1</a>, <a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae00a52dba55d31948c377fa85d385b87">P2</a>, <a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga0707a89c2f63bd260108e9dbb669358e">P3</a>, <a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gacbc14a33d017f5f2dabce1cb0d85718e">P4</a> or <a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga49ce5f7954a95865f12be8083ccb2719">P5</a>. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Pin</td><td>The pin of specified GPIO port. It could be 0 ~ 7.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None</dd></dl>
<p>This function is used to enable specified GPIO pin interrupt. </p>

<p class="definition">Definition at line <a class="el" href="gpio_8h_source.html#l00357">357</a> of file <a class="el" href="gpio_8h_source.html">gpio.h</a>.</p>

</div>
</div>
<a id="gaa54243397fb256e334b539f88b909368"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaa54243397fb256e334b539f88b909368">&#9670;&nbsp;</a></span>GPIO_ENABLE_DEBOUNCE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define GPIO_ENABLE_DEBOUNCE</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">gpio, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">u32PinMask&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td>&#160;&#160;&#160;((gpio)-&gt;DBEN |= u32PinMask)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Enable Pin De-bounce Function. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">gpio</td><td>GPIO port. It could be <a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga1583b00a62bc1138f99bbfcd8ef81a6a">P0</a>, <a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga6c2a9f7efd46f0160f3037869924d6ce">P1</a>, <a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae00a52dba55d31948c377fa85d385b87">P2</a>, <a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga0707a89c2f63bd260108e9dbb669358e">P3</a>, <a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gacbc14a33d017f5f2dabce1cb0d85718e">P4</a> or <a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga49ce5f7954a95865f12be8083ccb2719">P5</a>. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32PinMask</td><td>The single or multiple pins of specified GPIO port. <a class="el" href="group___m_i_n_i51__legacy___constants.html#gad4d43f8748b542bce39e18790f845ecc">BIT0</a>, <a class="el" href="group___m_i_n_i51__legacy___constants.html#ga601923eba46784638244c1ebf2622a2a">BIT1</a>, <a class="el" href="group___m_i_n_i51__legacy___constants.html#ga9c9560bccccb00174801c728f1ed1399">BIT2</a>,.. <a class="el" href="group___m_i_n_i51__legacy___constants.html#gaa6b8f3261ae9e2e1043380c192f7b5f0">BIT7</a></td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None</dd></dl>
<p>Enable the interrupt de-bounce function of specified GPIO pin. </p>

<p class="definition">Definition at line <a class="el" href="gpio_8h_source.html#l00185">185</a> of file <a class="el" href="gpio_8h_source.html">gpio.h</a>.</p>

</div>
</div>
<a id="ga6646dfe12cd282e794d9014ae2e4e288"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga6646dfe12cd282e794d9014ae2e4e288">&#9670;&nbsp;</a></span>GPIO_ENABLE_DIGITAL_PATH</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define GPIO_ENABLE_DIGITAL_PATH</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">gpio, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">u32PinMask&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td>&#160;&#160;&#160;((gpio)-&gt;OFFD &amp;= ~(u32PinMask &lt;&lt; 16))</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Enable I/O Digital Input Path. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">gpio</td><td>GPIO port. It could be <a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga1583b00a62bc1138f99bbfcd8ef81a6a">P0</a>, <a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga6c2a9f7efd46f0160f3037869924d6ce">P1</a>, <a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae00a52dba55d31948c377fa85d385b87">P2</a>, <a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga0707a89c2f63bd260108e9dbb669358e">P3</a>, <a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gacbc14a33d017f5f2dabce1cb0d85718e">P4</a> or <a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga49ce5f7954a95865f12be8083ccb2719">P5</a>. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32PinMask</td><td>The single or multiple pins of specified GPIO port. <a class="el" href="group___m_i_n_i51__legacy___constants.html#gad4d43f8748b542bce39e18790f845ecc">BIT0</a>, <a class="el" href="group___m_i_n_i51__legacy___constants.html#ga601923eba46784638244c1ebf2622a2a">BIT1</a>, <a class="el" href="group___m_i_n_i51__legacy___constants.html#ga9c9560bccccb00174801c728f1ed1399">BIT2</a>,.. <a class="el" href="group___m_i_n_i51__legacy___constants.html#gaa6b8f3261ae9e2e1043380c192f7b5f0">BIT7</a></td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None</dd></dl>
<p>Enable I/O digital input path of specified GPIO pin. </p>

<p class="definition">Definition at line <a class="el" href="gpio_8h_source.html#l00209">209</a> of file <a class="el" href="gpio_8h_source.html">gpio.h</a>.</p>

</div>
</div>
<a id="ga55907a319de4957e7f795d0acb32b7fc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga55907a319de4957e7f795d0acb32b7fc">&#9670;&nbsp;</a></span>GPIO_ENABLE_DOUT_MASK</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define GPIO_ENABLE_DOUT_MASK</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">gpio, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">u32PinMask&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td>&#160;&#160;&#160;((gpio)-&gt;DMASK &amp;= ~u32PinMask)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Enable I/O DOUT mask. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">gpio</td><td>GPIO port. It could be <a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga1583b00a62bc1138f99bbfcd8ef81a6a">P0</a>, <a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga6c2a9f7efd46f0160f3037869924d6ce">P1</a>, <a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae00a52dba55d31948c377fa85d385b87">P2</a>, <a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga0707a89c2f63bd260108e9dbb669358e">P3</a>, <a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gacbc14a33d017f5f2dabce1cb0d85718e">P4</a> or <a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga49ce5f7954a95865f12be8083ccb2719">P5</a>. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32PinMask</td><td>The single or multiple pins of specified GPIO port. <a class="el" href="group___m_i_n_i51__legacy___constants.html#gad4d43f8748b542bce39e18790f845ecc">BIT0</a>, <a class="el" href="group___m_i_n_i51__legacy___constants.html#ga601923eba46784638244c1ebf2622a2a">BIT1</a>, <a class="el" href="group___m_i_n_i51__legacy___constants.html#ga9c9560bccccb00174801c728f1ed1399">BIT2</a>,.. <a class="el" href="group___m_i_n_i51__legacy___constants.html#gaa6b8f3261ae9e2e1043380c192f7b5f0">BIT7</a></td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None</dd></dl>
<p>Enable I/O DOUT mask of specified GPIO pin. </p>

<p class="definition">Definition at line <a class="el" href="gpio_8h_source.html#l00233">233</a> of file <a class="el" href="gpio_8h_source.html">gpio.h</a>.</p>

</div>
</div>
<a id="ga851e08641f159b726e3d2fa7e4b526d1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga851e08641f159b726e3d2fa7e4b526d1">&#9670;&nbsp;</a></span>GPIO_EnableEINT0</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define GPIO_EnableEINT0&#160;&#160;&#160;<a class="el" href="group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaec751ab5c00bcad980d782816df53cbd">GPIO_EnableInt</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Enable External GPIO interrupt 0. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">gpio</td><td>GPIO port. It could be <a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga1583b00a62bc1138f99bbfcd8ef81a6a">P0</a>, <a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga6c2a9f7efd46f0160f3037869924d6ce">P1</a>, <a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae00a52dba55d31948c377fa85d385b87">P2</a>, <a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga0707a89c2f63bd260108e9dbb669358e">P3</a>, <a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gacbc14a33d017f5f2dabce1cb0d85718e">P4</a> or <a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga49ce5f7954a95865f12be8083ccb2719">P5</a>. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Pin</td><td>The pin of specified GPIO port. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32IntAttribs</td><td>The interrupt attribute of specified GPIO pin. It could be <br />
 <a class="el" href="group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gad5791d8505fbdc44f396d3fc28b6e4da">GPIO_INT_RISING</a>, <a class="el" href="group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga8d98bc44ec5133557802867a115d7072">GPIO_INT_FALLING</a>, <a class="el" href="group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae5ffe006072684a30050871e0f4fb5e6">GPIO_INT_BOTH_EDGE</a>, <a class="el" href="group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gad80cfa2205ca60d3427bed52f9f43975">GPIO_INT_HIGH</a>, <a class="el" href="group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga3c01afe7764ed035acb9aab07add5f5a">GPIO_INT_LOW</a>.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None</dd></dl>
<p>This function is used to enable specified GPIO pin interrupt. </p>

<p class="definition">Definition at line <a class="el" href="gpio_8h_source.html#l00316">316</a> of file <a class="el" href="gpio_8h_source.html">gpio.h</a>.</p>

</div>
</div>
<a id="ga2ae3cf2bb3e70c18761f85c0fa5b4ce7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga2ae3cf2bb3e70c18761f85c0fa5b4ce7">&#9670;&nbsp;</a></span>GPIO_EnableEINT1</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define GPIO_EnableEINT1&#160;&#160;&#160;<a class="el" href="group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaec751ab5c00bcad980d782816df53cbd">GPIO_EnableInt</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Enable External GPIO interrupt 1. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">gpio</td><td>GPIO port. It could be <a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga1583b00a62bc1138f99bbfcd8ef81a6a">P0</a>, <a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga6c2a9f7efd46f0160f3037869924d6ce">P1</a>, <a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae00a52dba55d31948c377fa85d385b87">P2</a>, <a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga0707a89c2f63bd260108e9dbb669358e">P3</a>, <a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gacbc14a33d017f5f2dabce1cb0d85718e">P4</a> or <a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga49ce5f7954a95865f12be8083ccb2719">P5</a>. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Pin</td><td>The pin of specified GPIO port. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32IntAttribs</td><td>The interrupt attribute of specified GPIO pin. It could be <br />
 <a class="el" href="group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gad5791d8505fbdc44f396d3fc28b6e4da">GPIO_INT_RISING</a>, <a class="el" href="group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga8d98bc44ec5133557802867a115d7072">GPIO_INT_FALLING</a>, <a class="el" href="group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae5ffe006072684a30050871e0f4fb5e6">GPIO_INT_BOTH_EDGE</a>, <a class="el" href="group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gad80cfa2205ca60d3427bed52f9f43975">GPIO_INT_HIGH</a>, <a class="el" href="group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga3c01afe7764ed035acb9aab07add5f5a">GPIO_INT_LOW</a>.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None</dd></dl>
<p>This function is used to enable specified GPIO pin interrupt. </p>

<p class="definition">Definition at line <a class="el" href="gpio_8h_source.html#l00344">344</a> of file <a class="el" href="gpio_8h_source.html">gpio.h</a>.</p>

</div>
</div>
<a id="ga999217028415ac36f6ce605533c85cad"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga999217028415ac36f6ce605533c85cad">&#9670;&nbsp;</a></span>GPIO_GET_IN_DATA</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define GPIO_GET_IN_DATA</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">gpio</td><td>)</td>
          <td>&#160;&#160;&#160;((gpio)-&gt;PIN)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get GPIO Port IN Data. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">gpio</td><td>GPIO port. It could be <a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga1583b00a62bc1138f99bbfcd8ef81a6a">P0</a>, <a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga6c2a9f7efd46f0160f3037869924d6ce">P1</a>, <a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae00a52dba55d31948c377fa85d385b87">P2</a>, <a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga0707a89c2f63bd260108e9dbb669358e">P3</a>, <a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gacbc14a33d017f5f2dabce1cb0d85718e">P4</a> or <a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga49ce5f7954a95865f12be8083ccb2719">P5</a>.</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">The</td><td>specified port data</td></tr>
  </table>
  </dd>
</dl>
<p>Get the PIN register of specified GPIO port. </p>

<p class="definition">Definition at line <a class="el" href="gpio_8h_source.html#l00279">279</a> of file <a class="el" href="gpio_8h_source.html">gpio.h</a>.</p>

</div>
</div>
<a id="ga109372c88c155995a0f917b75d33e6d3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga109372c88c155995a0f917b75d33e6d3">&#9670;&nbsp;</a></span>GPIO_GET_INT_FLAG</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define GPIO_GET_INT_FLAG</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">gpio, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">u32PinMask&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td>&#160;&#160;&#160;((gpio)-&gt;ISRC &amp; u32PinMask)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get GPIO Pin Interrupt Flag. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">gpio</td><td>GPIO port. It could be <a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga1583b00a62bc1138f99bbfcd8ef81a6a">P0</a>, <a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga6c2a9f7efd46f0160f3037869924d6ce">P1</a>, <a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae00a52dba55d31948c377fa85d385b87">P2</a>, <a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga0707a89c2f63bd260108e9dbb669358e">P3</a>, <a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gacbc14a33d017f5f2dabce1cb0d85718e">P4</a> or <a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga49ce5f7954a95865f12be8083ccb2719">P5</a>. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32PinMask</td><td>The single or multiple pins of specified GPIO port. <a class="el" href="group___m_i_n_i51__legacy___constants.html#gad4d43f8748b542bce39e18790f845ecc">BIT0</a>, <a class="el" href="group___m_i_n_i51__legacy___constants.html#ga601923eba46784638244c1ebf2622a2a">BIT1</a>, <a class="el" href="group___m_i_n_i51__legacy___constants.html#ga9c9560bccccb00174801c728f1ed1399">BIT2</a>,.. <a class="el" href="group___m_i_n_i51__legacy___constants.html#gaa6b8f3261ae9e2e1043380c192f7b5f0">BIT7</a></td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">0</td><td>No interrupt at specified GPIO pin </td></tr>
    <tr><td class="paramname">1</td><td>The specified GPIO pin generate an interrupt</td></tr>
  </table>
  </dd>
</dl>
<p>Get the interrupt status of specified GPIO pin. </p>

<p class="definition">Definition at line <a class="el" href="gpio_8h_source.html#l00246">246</a> of file <a class="el" href="gpio_8h_source.html">gpio.h</a>.</p>

</div>
</div>
<a id="gad7651a6a2609788b70d1e0e4d77174ca"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gad7651a6a2609788b70d1e0e4d77174ca">&#9670;&nbsp;</a></span>GPIO_SET_DEBOUNCE_TIME</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define GPIO_SET_DEBOUNCE_TIME</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">clksrc, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">clksel&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td>&#160;&#160;&#160;(<a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga1037b18e2d226fe7d327d4a6f17a21c1">GPIO</a>-&gt;DBNCECON = (<a class="el" href="_mini51_series_8h.html#aa90e35467a4b67ffb16ea724a581cb15">GPIO_DBNCECON_ICLK_ON_Msk</a> | clksrc | clksel))</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set De-bounce Sampling Cycle Time. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">clksrc</td><td>The de-bounce counter clock source. It could be <a class="el" href="group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gad62093f5bb1ef9c40c136ebda750717e">GPIO_DBNCECON_DBCLKSRC_HCLK</a> or <a class="el" href="group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga0b6ce6106fb3a90a8861d9ef37f89eb9">GPIO_DBNCECON_DBCLKSRC_IRC10K</a>. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">clksel</td><td>The de-bounce sampling cycle selection. It could be <br />
 <a class="el" href="group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaa0e5dfecf2ac12c43ed101d9fac4dfcc">GPIO_DBNCECON_DBCLKSEL_1</a>, <a class="el" href="group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga84f8c7e190b7b55f587cbeacc9382cd6">GPIO_DBNCECON_DBCLKSEL_2</a>, <a class="el" href="group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga46cd9e45efbf831928e4fb90111210b7">GPIO_DBNCECON_DBCLKSEL_4</a>, <a class="el" href="group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gafe42d0470c8cbaad11b949b6190e8774">GPIO_DBNCECON_DBCLKSEL_8</a>, <br />
 <a class="el" href="group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaa42da71e3b8f7d0e281b27aec324a40b">GPIO_DBNCECON_DBCLKSEL_16</a>, <a class="el" href="group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga689b0f69b8b58183f88943c7fc5959ef">GPIO_DBNCECON_DBCLKSEL_32</a>, <a class="el" href="group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga608908deba1d8b329c522c5d92e91bc8">GPIO_DBNCECON_DBCLKSEL_64</a>, <a class="el" href="group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga9c0055336a00a95b3be28e88fc9898ed">GPIO_DBNCECON_DBCLKSEL_128</a>, <br />
 <a class="el" href="group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaedc57835b4d44448b26d871625ec34a4">GPIO_DBNCECON_DBCLKSEL_256</a>, <a class="el" href="group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga92f10c6c4481686f7d309269f473c17f">GPIO_DBNCECON_DBCLKSEL_512</a>, <a class="el" href="group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga20dec856b3f1dff8e35e450b3b55bf08">GPIO_DBNCECON_DBCLKSEL_1024</a>, <a class="el" href="group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga715e8746a777b6d41d1c8ce02b494732">GPIO_DBNCECON_DBCLKSEL_2048</a>, <br />
 <a class="el" href="group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab704b14c215ba0e67fabfb806edf398d">GPIO_DBNCECON_DBCLKSEL_4096</a>, <a class="el" href="group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga583e0b61a72e30e2bceba1e25a6e78c9">GPIO_DBNCECON_DBCLKSEL_8192</a>, <a class="el" href="group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gafdcad880139ce9561182d3ac61a45ab9">GPIO_DBNCECON_DBCLKSEL_16384</a>, <a class="el" href="group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae1145b09285d0c704c9438d13ed679fd">GPIO_DBNCECON_DBCLKSEL_32768</a>.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None</dd></dl>
<p>Set the interrupt de-bounce sampling cycle time based on the debounce counter clock source, below is an example. </p><div class="fragment"><div class="line"><span class="comment">// It&#39;s meaning the De-debounce counter clock source is internal 10 KHz and sampling cycle selection is 4.</span></div><div class="line"><span class="comment">//   Then the target de-bounce sampling cycle time is (2^4)*(1/(10*1000)) s = 16*0.0001 s = 1600 us,</span></div><div class="line"><span class="comment">//   and system will sampling interrupt input once per 1600 us.</span></div><div class="line">_GPIO_SET_DEBOUNCE_TIME(<a class="code" href="group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga0b6ce6106fb3a90a8861d9ef37f89eb9">GPIO_DBNCECON_DBCLKSRC_IRC10K</a>, <a class="code" href="group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga46cd9e45efbf831928e4fb90111210b7">GPIO_DBNCECON_DBCLKSEL_4</a>);</div></div><!-- fragment --> 
<p class="definition">Definition at line <a class="el" href="gpio_8h_source.html#l00268">268</a> of file <a class="el" href="gpio_8h_source.html">gpio.h</a>.</p>

</div>
</div>
<a id="gac8b85595010fccb2e8be1624f409d89c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gac8b85595010fccb2e8be1624f409d89c">&#9670;&nbsp;</a></span>GPIO_SET_OUT_DATA</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define GPIO_SET_OUT_DATA</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">gpio, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">data&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td>&#160;&#160;&#160;((gpio)-&gt;DOUT = (data))</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set GPIO Port OUT Data. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">gpio</td><td>GPIO port. It could be <a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga1583b00a62bc1138f99bbfcd8ef81a6a">P0</a>, <a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga6c2a9f7efd46f0160f3037869924d6ce">P1</a>, <a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae00a52dba55d31948c377fa85d385b87">P2</a>, <a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga0707a89c2f63bd260108e9dbb669358e">P3</a>, <a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gacbc14a33d017f5f2dabce1cb0d85718e">P4</a> or <a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga49ce5f7954a95865f12be8083ccb2719">P5</a>. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">data</td><td>GPIO port data.</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>
<p>Set the Data into specified GPIO port. </p>

<p class="definition">Definition at line <a class="el" href="gpio_8h_source.html#l00291">291</a> of file <a class="el" href="gpio_8h_source.html">gpio.h</a>.</p>

</div>
</div>
<a id="ga21894d4e8915c4972879d998965e3f35"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga21894d4e8915c4972879d998965e3f35">&#9670;&nbsp;</a></span>GPIO_TOGGLE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define GPIO_TOGGLE</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">u32Pin</td><td>)</td>
          <td>&#160;&#160;&#160;((u32Pin) ^= 1)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Toggle Specified GPIO pin. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Pin</td><td>Pxy</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>
<p>Toggle the specified GPIO pint. </p>

<p class="definition">Definition at line <a class="el" href="gpio_8h_source.html#l00302">302</a> of file <a class="el" href="gpio_8h_source.html">gpio.h</a>.</p>

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="ga675532237c47dd6f69f325e27fd2e7e0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga675532237c47dd6f69f325e27fd2e7e0">&#9670;&nbsp;</a></span>GPIO_DisableInt()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GPIO_DisableInt </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct_g_p_i_o___t.html">GPIO_T</a> *&#160;</td>
          <td class="paramname"><em>gpio</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32Pin</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Disable GPIO interrupt. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">gpio</td><td>GPIO port. It could be <a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga1583b00a62bc1138f99bbfcd8ef81a6a">P0</a>, <a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga6c2a9f7efd46f0160f3037869924d6ce">P1</a>, <a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae00a52dba55d31948c377fa85d385b87">P2</a>, <a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga0707a89c2f63bd260108e9dbb669358e">P3</a>, <a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gacbc14a33d017f5f2dabce1cb0d85718e">P4</a> or <a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga49ce5f7954a95865f12be8083ccb2719">P5</a>. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Pin</td><td>The pin of specified GPIO port. It could be 0 ~ 7.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None</dd></dl>
<p>This function is used to enable specified GPIO pin interrupt. </p>

<p class="definition">Definition at line <a class="el" href="gpio_8c_source.html#l00082">82</a> of file <a class="el" href="gpio_8c_source.html">gpio.c</a>.</p>

</div>
</div>
<a id="gaec751ab5c00bcad980d782816df53cbd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaec751ab5c00bcad980d782816df53cbd">&#9670;&nbsp;</a></span>GPIO_EnableInt()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GPIO_EnableInt </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct_g_p_i_o___t.html">GPIO_T</a> *&#160;</td>
          <td class="paramname"><em>gpio</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32Pin</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32IntAttribs</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Enable GPIO interrupt. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">gpio</td><td>GPIO port. It could be <a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga1583b00a62bc1138f99bbfcd8ef81a6a">P0</a>, <a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga6c2a9f7efd46f0160f3037869924d6ce">P1</a>, <a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae00a52dba55d31948c377fa85d385b87">P2</a>, <a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga0707a89c2f63bd260108e9dbb669358e">P3</a>, <a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gacbc14a33d017f5f2dabce1cb0d85718e">P4</a> or <a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga49ce5f7954a95865f12be8083ccb2719">P5</a>. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Pin</td><td>The pin of specified GPIO port. It could be 0 ~ 7. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32IntAttribs</td><td>The interrupt attribute of specified GPIO pin. It could be <br />
 <a class="el" href="group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gad5791d8505fbdc44f396d3fc28b6e4da">GPIO_INT_RISING</a>, <a class="el" href="group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga8d98bc44ec5133557802867a115d7072">GPIO_INT_FALLING</a>, <a class="el" href="group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae5ffe006072684a30050871e0f4fb5e6">GPIO_INT_BOTH_EDGE</a>, <a class="el" href="group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gad80cfa2205ca60d3427bed52f9f43975">GPIO_INT_HIGH</a>, <a class="el" href="group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga3c01afe7764ed035acb9aab07add5f5a">GPIO_INT_LOW</a>.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None</dd></dl>
<p>This function is used to enable specified GPIO pin interrupt. </p>

<p class="definition">Definition at line <a class="el" href="gpio_8c_source.html#l00065">65</a> of file <a class="el" href="gpio_8c_source.html">gpio.c</a>.</p>

</div>
</div>
<a id="gaa2d25bd7fd805f81e465e5f2f0f43123"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaa2d25bd7fd805f81e465e5f2f0f43123">&#9670;&nbsp;</a></span>GPIO_SetMode()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GPIO_SetMode </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct_g_p_i_o___t.html">GPIO_T</a> *&#160;</td>
          <td class="paramname"><em>gpio</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32PinMask</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32Mode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set GPIO operation mode. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">gpio</td><td>GPIO port. It could be <a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga1583b00a62bc1138f99bbfcd8ef81a6a">P0</a>, <a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga6c2a9f7efd46f0160f3037869924d6ce">P1</a>, <a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae00a52dba55d31948c377fa85d385b87">P2</a>, <a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga0707a89c2f63bd260108e9dbb669358e">P3</a>, <a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gacbc14a33d017f5f2dabce1cb0d85718e">P4</a> or <a class="el" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga49ce5f7954a95865f12be8083ccb2719">P5</a>. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32PinMask</td><td>The single or multiple pins of specified GPIO port. <a class="el" href="group___m_i_n_i51__legacy___constants.html#gad4d43f8748b542bce39e18790f845ecc">BIT0</a>, <a class="el" href="group___m_i_n_i51__legacy___constants.html#ga601923eba46784638244c1ebf2622a2a">BIT1</a>, <a class="el" href="group___m_i_n_i51__legacy___constants.html#ga9c9560bccccb00174801c728f1ed1399">BIT2</a>,.. <a class="el" href="group___m_i_n_i51__legacy___constants.html#gaa6b8f3261ae9e2e1043380c192f7b5f0">BIT7</a> </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Mode</td><td>Operation mode. <a class="el" href="group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga1d91458a02db1f2b71122aee8b4da690">GPIO_PMD_INPUT</a>, <a class="el" href="group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga903d206776eed930eb08a97bfde30f21">GPIO_PMD_OUTPUT</a>, <a class="el" href="group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga17b71982106eb55ac53e679545791475">GPIO_PMD_OPEN_DRAIN</a>, <a class="el" href="group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae7688be7b3cd5490426e438a2ec9f821">GPIO_PMD_QUASI</a></td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None</dd></dl>
<p>This function is used to set specified GPIO operation mode. </p>

<p class="definition">Definition at line <a class="el" href="gpio_8c_source.html#l00040">40</a> of file <a class="el" href="gpio_8c_source.html">gpio.c</a>.</p>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Mon Oct 5 2020 14:31:44 for Mini51 BSP by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
